NSRHSMCK(8)

NAME
nsrhsmck - check and correct consistency for an HSM-managed filesystem

SYNOPSIS
nsrhsmck [ -cdfMv ] [ -s server ] path

DESCRIPTION
The nsrhsmck command checks and corrects consistency between HSM migrated files stored in NetWorker and on-disk files. There are four situations handled by nsrhsmck.

The first situation occurs when the stub for a migrated file is renamed. This is known as the rename case. In this situation, the stub with the original filename no longer exists. The corrective action taken by nsrhsmck in this instance is to update the HSM file index to reflect the new name.

The second situation occurs when a symbolic link is created that points to the same name in the NetWorker IB namespace as another symbolic link. This is known as the duplicated link case. The corrective action for a duplicated link is to replace the duplicate with another symbolic link. The replacement must point to the original symbolic link, and not directly into the NetWorker IB namespace.

The third situation occurs when the stub pointing to a migrated file has been deleted. This is known as the possible delete case. The term "possible" is used here, because the stub may reappear at some later point in time, possibly if a recover of the stub is done using NetWorker. The corrective action for a possible deletion is to mark the index entry for the migrated file as possibly deleted. Note that if a file marked as possibly deleted is detected on disk before the index entry can be deleted, the index entry will be unmarked as a possible deletion.

The fourth situation handled by nsrhsmck is an index entry that is marked as a possible deletion, but has passed the 60-day expiration period. This is known as the expired delete case. The corrective action for this case is to remove the expired entries from the HSM file index. Before an entry is deleted from the HSM file index, a final check is made to make sure the file does not exist on disk.

You must specify a path on the command line when nsrhsmck is run. Only files and index entries that fall under the path specified will be examined for consistency.

OPTIONS

-c  Scans the HSM file index, and deletes index entries that are marked as possibly deleted but have passed the 60-day expiration period.

-d  Scans the HSM file index, and marks any possible deletions that are detected.

-f  Scans the filesystem on disk, and searches for duplicated links and renames them.

-M  Master mode (not advised for manual operation). This advises nsrhsmck that it is being run by nsrexecd(8) or another NetWorker daemon and should log messages with timestamps, and perform any other behavior expected by nsrexecd.

-n  Does not correct inconsistencies found, but just reports them.

-s server
    Use server as the NetWorker server.

-v  Increases the verbosity level incrementally. This flag may be specified up to three times to achieve the maximum verbosity. Note that verbose mode can produce an extremely large quantity of output, and is not recommended for use in most situations.

DIAGNOSTICS

  Exit Codes
0   Normal exit.
1   Abnormal exit.

SEE ALSO
nsr(5), nsr(8), nsr_migration(5), nsrexecd(8), nsrmig(8), nsrpmig(8)